%define api 1.18
%define lib_major 0
%define lib_name %mklibname glom %api %{lib_major}
%define develname %mklibname -d glom
%define postgresql 9.0

Summary:	Easy-to-use database designer and user interface
Name:		glom
Version:	1.18.6
Release:	%mkrel 1
Group:		Development/Databases
License:	GPLv2+
URL:		http://www.glom.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glom/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libbakery2.6-devel
BuildRequires:	desktop-file-utils gettext intltool
BuildRequires:	libgdamm4-devel >= 4.1.3
BuildRequires:	gda4.0-devel >= 4.0.4
BuildRequires:	python-devel
BuildRequires:	gnome-python-gda gnome-python-gda-devel >= 2.25.2
BuildRequires:	%{_lib}gnomecanvasmm2.6-devel >= 2.10
BuildRequires:	boost-devel
BuildRequires:	libgnome2-devel >= 2.6.0
BuildRequires:	libxslt-devel >= 1.1.10
BuildRequires:	pygtk2.0-devel >= 2.6
BuildRequires:	gtkmm2.4-devel >= 2.23.90
BuildRequires:	gnome-doc-utils
BuildRequires:	scrollkeeper
BuildRequires:	startup-notification-devel
BuildRequires:	iso-codes
BuildRequires:	libxslt-proc
BuildRequires:	postgresql%{postgresql}-devel postgresql%{postgresql}-plpython
BuildRequires:  postgresql%{postgresql}-server postgresql%{postgresql}-plpython 
BuildRequires:	postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib
BuildRequires:	gettext-devel
BuildRequires:	gnome-python-extras
BuildRequires:	libepc-devel >= 0.3.1
BuildRequires:	%{_lib}goocanvas-devel
BuildRequires:	%{_lib}gtksourceview-2.0_0-devel
BuildRequires:	%{_lib}gtksourceviewmm-2.0-devel
BuildRequires:	%{_lib}goocanvasmm-devel
BuildRequires:	avahi-ui-devel
#gw for docs building
BuildRequires:	python-sphinx
Requires:	gnome-python-gda
Requires:	libgda4.0-postgres
Requires:	postgresql%{postgresql} postgresql%{postgresql}-plpython
Requires:	postgresql%{postgresql}-server postgresql%{postgresql}-plpython 
Requires:	postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib

%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the postgresql%{postgresql} database backend.

%package devel
Summary:        Development files for Glom
Group:          Development/Libraries
Requires:	%{name} = %version

%description devel
Development files for Glom.

%prep
%setup -q

%build
%configure2_5x \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
	--with-postgres-utils=%{_bindir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --remove-category="Applications" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{py_platsitedir}/%{name}_1_18.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}
%{_libdir}/libglom-%api.so.%{lib_major}*

%files devel
%defattr(-,root,root)
%{_libdir}/libglom-%api.so
%_includedir/%name-%api
%_libdir/pkgconfig/%name-%api.pc
%doc %_datadir/doc/pyglom*
%doc %_datadir/doc/libglom-%api
%doc %_datadir/devhelp/books/*


%changelog
* Thu Dec 01 2011 Texstar <texstar at gmail.com> 1.18.6-1pclos2011
- 1.18.6
